Advanced search  

News:

cpg1.5.48 Security release - upgrade mandatory!
The Coppermine development team is releasing a security update for Coppermine in order to counter a recently discovered vulnerability. It is important that all users who run version cpg1.5.46 or older update to this latest version as soon as possible.
[more]

Pages: [1]   Go Down

Author Topic: Upgrade error: The group table does not contain the Anonymous group  (Read 4783 times)

0 Members and 1 Guest are viewing this topic.

joeyhavlock

  • Coppermine novice
  • *
  • Offline Offline
  • Posts: 27

Hi folks,

I am getting the following error when trying to upgrade to the new copper mine;

Coppermine critical error:
The group table does not contain the Anonymous group !

I HAVE read the docs, and kept copies of my config.inc.php and my anycontent.php

I also saw this thread;
http://forum.coppermine-gallery.net/index.php/topic,70068.0.html

But the suggestions there did not help.

Again, I HAVE read the documentation, but I cannot seem to understand why this is happening or what to do next.

Any help is appreciated.

Thanks
Joey
Logged

joeyhavlock

  • Coppermine novice
  • *
  • Offline Offline
  • Posts: 27
Re: Upgrade error: The group table does not contain the Anonymous group
« Reply #1 on: February 28, 2011, 10:59:25 pm »

Also, I am using my original config.inc.php, which as I understand from the upgrade docs is correct to do so.

I also have my coppermine bridged to my vbulletin forums, and I am wondering if there is any issue regarding the upgrade with this, I did not see anything in the upgrade docs regarding issues with having coppermine bridged during the upgrade.

Thanks
Joey
Logged

Αndré

  • Administrator
  • Coppermine addict
  • *****
  • Country: de
  • Offline Offline
  • Gender: Male
  • Posts: 15765
Re: Upgrade error: The group table does not contain the Anonymous group
« Reply #2 on: March 01, 2011, 08:31:41 am »

Please don't double post.

Try to disable bridging before performing the upgrade (means: restore a backup of your working cpg1.4.x gallery, unbridge your gallery and perform the upgrade again).
Logged

joeyhavlock

  • Coppermine novice
  • *
  • Offline Offline
  • Posts: 27
Re: Upgrade error: The group table does not contain the Anonymous group
« Reply #3 on: March 02, 2011, 04:55:22 pm »

restoring and disabling the bridge, then upgrading did not work.

Would it be possible to explain what exactly this error is, or point me to where it is defined and maybe I can figure this out myself.

Otherwise I have searched and read every other post I can find here regarding this and don't seem to have much luck.

Thanks
Joey
Logged

Αndré

  • Administrator
  • Coppermine addict
  • *****
  • Country: de
  • Offline Offline
  • Gender: Male
  • Posts: 15765
Re: Upgrade error: The group table does not contain the Anonymous group
« Reply #4 on: March 02, 2011, 05:27:50 pm »

As you said you read all posts regarding this issue you may have recognized that I don't know why/when this error occurs exactly. It has to do something with bridging, as if the anonymous group is missing it is created once by running update.php and even if you delete that group later it will created as soon as someone visits your website. This only applies for unbridged galleries. You could try to have a look at the database. Check if the bridge table and the bridge rows in the config table.
Logged

joeyhavlock

  • Coppermine novice
  • *
  • Offline Offline
  • Posts: 27
Re: Upgrade error: The group table does not contain the Anonymous group
« Reply #5 on: March 02, 2011, 06:51:33 pm »

As I said though,
Even after restoring and disabling the bridge, then attempting to upgrade, I get the same error, so it does not necessarily only apply to bridged applications.

Even when removing the bridging out of the equation, the error continues when trying to upgrade.

Also, it seems like the upgrade instructions should tell people of disable the bridge if that is going to be an issue.  Looking at the upgrade instructions I do not see anything about disabling a bridge.

Still, at this point I am unsure what to do or what to even look for.

You say to "Check if the bridge table and the bridge rows in the config table.", what is it that I should be looking for?
Logged

Αndré

  • Administrator
  • Coppermine addict
  • *****
  • Country: de
  • Offline Offline
  • Gender: Male
  • Posts: 15765
Re: Upgrade error: The group table does not contain the Anonymous group
« Reply #6 on: March 02, 2011, 07:16:24 pm »

Sorry for that confusing sentence. Coppermine stores all bridging relevant settings in the database. There's a table 'bridge' and 'config' you may want to look at and try to insert/delete different values. I assume the bridging hasn't been undone completely. I never upgraded a bridged gallery, so maybe someone who has done that can share his/her experience. I cannot say what you could try or not. If you trust me I may have a look at your issue. That means you'll have to give me full access to your gallery (database access, admin access to gallery and maybe ftp access, too).
Logged

lurkalot

  • Administrator
  • Coppermine addict
  • *****
  • Country: gb
  • Offline Offline
  • Gender: Male
  • Posts: 930
  • +Tinyportal Support team.
Re: Upgrade error: The group table does not contain the Anonymous group
« Reply #7 on: March 02, 2011, 11:06:42 pm »

I never upgraded a bridged gallery, so maybe someone who has done that can share his/her experience.


If I remember I ran into this problem when I first upgraded to 1.5.x.  I had my gallery bridged to SMF and had use_post_based_groups set.  It gave me the error that joeyhavlock had.

Only way I could proceed was to use phpmyadmin, and in the database bridge table change the use_post_based_groups value from 1 to 0 then it let me upgrade.  Once upgraded I re-bridged without problem.

This was a while back, and I'm going on memory. ;) 
Logged
Running SMF 2.0.15  / Tinyportal 1.6.4, bridged with Coppermine 1.6.06, plus cpmfetch 2.0.0
Pages: [1]   Go Up
 

Page created in 0.019 seconds with 20 queries.